CS::Platform::ProcessorSpecDetection Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Platform::ProcessorSpecDetection Class Reference

Class performing processor specifications and feature detection. More...

`#include <csutil/processorspecdetection.h>`

List of all members.

## Public Member Functions
bool | HasAltiVec ()
| Returns whether Altivec instructions are available.
bool | HasMMX ()
| Returns whether MMX instructions are available.
bool | HasSSE ()
| Returns whether SSE instructions are available.
bool | HasSSE2 ()
| Returns whether SSE2 instructions are available.
bool | HasSSE3 ()
| Returns whether SSE3 instructions are available.

## Detailed Description

Class performing processor specifications and feature detection.

Definition at line 132 of file processorspecdetection.h.

## Member Function Documentation

bool CS::Platform::ProcessorSpecDetection::HasAltiVec | ( |  | ) | `[inline]`

Returns whether Altivec instructions are available.

Definition at line 172 of file processorspecdetection.h.

bool CS::Platform::ProcessorSpecDetection::HasMMX | ( |  | ) | `[inline]`

Returns whether MMX instructions are available.

Definition at line 148 of file processorspecdetection.h.

bool CS::Platform::ProcessorSpecDetection::HasSSE | ( |  | ) | `[inline]`

Returns whether SSE instructions are available.

Definition at line 154 of file processorspecdetection.h.

bool CS::Platform::ProcessorSpecDetection::HasSSE2 | ( |  | ) | `[inline]`

Returns whether SSE2 instructions are available.

Definition at line 160 of file processorspecdetection.h.

bool CS::Platform::ProcessorSpecDetection::HasSSE3 | ( |  | ) | `[inline]`

Returns whether SSE3 instructions are available.

Definition at line 166 of file processorspecdetection.h.

The documentation for this class was generated from the following file:

- csutil/processorspecdetection.h